#include <bits/stdc++.h>

using namespace std;

long long a[1000000];

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);

    long long n , x;

    cin >> n >> x;



    for(int i = 0 ; i < n ; i++)
        cin >> a[i];


    sort(a,a+n);

    long long minP , maxP;

    minP = a[0];
    maxP = a[n-1];

    long long res;

    if(x <= minP )
    {
        res = maxP - x ;
    }
    else if (x > minP && x <= maxP)
    {
        res = 2*min(x-minP , maxP - x) + max(x-minP , maxP - x);
    }
    else if ( x > maxP)
    {
        res = minP + x;
    }

    cout << res;


    return 0;
}